hash_policy.hpp File Reference

Go to the source code of this file.

## Classes

class | __gnu_pbds::cc_hash_max_collision_check_resize_trigger< External_Load_Access, Size_Type >
class | __gnu_pbds::direct_mask_range_hashing< Size_Type >
class | __gnu_pbds::direct_mod_range_hashing< Size_Type >
class | __gnu_pbds::hash_exponential_size_policy< Size_Type >
class | __gnu_pbds::hash_load_check_resize_trigger< External_Load_Access, Size_Type >
class | __gnu_pbds::hash_prime_size_policy
class | __gnu_pbds::hash_standard_resize_policy< Size_Policy, Trigger_Policy, External_Size_Access, Size_Type >
class | __gnu_pbds::linear_probe_fn< Size_Type >
class | __gnu_pbds::quadratic_probe_fn< Size_Type >

## Namespaces

namespace | __gnu_pbds

## Macros

#define | PB_DS_ASSERT_VALID(X)
#define | PB_DS_CLASS_C_DEC
#define | PB_DS_CLASS_C_DEC
#define | PB_DS_CLASS_C_DEC
#define | PB_DS_CLASS_C_DEC
#define | PB_DS_CLASS_C_DEC
#define | PB_DS_CLASS_C_DEC
#define | PB_DS_CLASS_C_DEC
#define | PB_DS_CLASS_C_DEC
#define | PB_DS_CLASS_C_DEC
#define | PB_DS_CLASS_T_DEC
#define | PB_DS_CLASS_T_DEC
#define | PB_DS_CLASS_T_DEC
#define | PB_DS_CLASS_T_DEC
#define | PB_DS_CLASS_T_DEC
#define | PB_DS_CLASS_T_DEC
#define | PB_DS_CLASS_T_DEC
#define | PB_DS_CLASS_T_DEC
#define | PB_DS_CLASS_T_DEC
#define | PB_DS_SIZE_BASE_C_DEC

## Enumerations

enum | { num_distinct_sizes_16_bit , num_distinct_sizes_32_bit , num_distinct_sizes_64_bit , num_distinct_sizes }

## Variables

static const std::size_t | __gnu_pbds::detail::g_a_sizes [num_distinct_sizes]

## Detailed Description

Contains hash-related policies.

Definition in file hash_policy.hpp.

## Macro Definition Documentation

## PB_DS_CLASS_C_DEC [1/9]

#define PB_DS_CLASS_C_DEC

Definition at line 57 of file hash_policy.hpp.

## PB_DS_CLASS_C_DEC [2/9]

#define PB_DS_CLASS_C_DEC

Definition at line 57 of file hash_policy.hpp.

## PB_DS_CLASS_C_DEC [3/9]

#define PB_DS_CLASS_C_DEC

Definition at line 57 of file hash_policy.hpp.

## PB_DS_CLASS_C_DEC [4/9]

#define PB_DS_CLASS_C_DEC

Definition at line 57 of file hash_policy.hpp.

## PB_DS_CLASS_C_DEC [5/9]

#define PB_DS_CLASS_C_DEC

Definition at line 57 of file hash_policy.hpp.

## PB_DS_CLASS_C_DEC [6/9]

#define PB_DS_CLASS_C_DEC

Definition at line 57 of file hash_policy.hpp.

## PB_DS_CLASS_C_DEC [7/9]

#define PB_DS_CLASS_C_DEC

Definition at line 57 of file hash_policy.hpp.

## PB_DS_CLASS_C_DEC [8/9]

#define PB_DS_CLASS_C_DEC

Definition at line 57 of file hash_policy.hpp.

## PB_DS_CLASS_C_DEC [9/9]

#define PB_DS_CLASS_C_DEC

Definition at line 57 of file hash_policy.hpp.

## PB_DS_CLASS_T_DEC [1/9]

#define PB_DS_CLASS_T_DEC

Definition at line 56 of file hash_policy.hpp.

## PB_DS_CLASS_T_DEC [2/9]

#define PB_DS_CLASS_T_DEC

Definition at line 56 of file hash_policy.hpp.

## PB_DS_CLASS_T_DEC [3/9]

#define PB_DS_CLASS_T_DEC

Definition at line 56 of file hash_policy.hpp.

## PB_DS_CLASS_T_DEC [4/9]

#define PB_DS_CLASS_T_DEC

Definition at line 56 of file hash_policy.hpp.

## PB_DS_CLASS_T_DEC [5/9]

#define PB_DS_CLASS_T_DEC

Definition at line 56 of file hash_policy.hpp.

## PB_DS_CLASS_T_DEC [6/9]

#define PB_DS_CLASS_T_DEC

Definition at line 56 of file hash_policy.hpp.

## PB_DS_CLASS_T_DEC [7/9]

#define PB_DS_CLASS_T_DEC

Definition at line 56 of file hash_policy.hpp.

## PB_DS_CLASS_T_DEC [8/9]

#define PB_DS_CLASS_T_DEC

Definition at line 56 of file hash_policy.hpp.

## PB_DS_CLASS_T_DEC [9/9]

#define PB_DS_CLASS_T_DEC

Definition at line 56 of file hash_policy.hpp.

## PB_DS_SIZE_BASE_C_DEC

#define PB_DS_SIZE_BASE_C_DEC

Definition at line 170 of file hash_policy.hpp.

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Definition at line 50 of file hash_policy.hpp.

## Variable Documentation

## g_a_sizes

const std::size_t __gnu_pbds::detail::g_a_sizes[num_distinct_sizes]

static

Definition at line 70 of file hash_policy.hpp.